<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:decimal-format name="de" decimal-separator="," grouping-separator="."/>
<xsl:decimal-format name="en" decimal-separator="." grouping-separator=","/>

<xsl:template match="/">
	<script language="javascript">
	function showhide(nummer) {
		switch(document.getElementById(nummer).style.display) {
			case "none":	
					document.getElementById(nummer).style.display = 'block';
					break;
			case "block":
					document.getElementById(nummer).style.display = 'none';
					break;
		}		
	}
	</script>
	<style type="text/css">
	a:link { text-decoration:none }
	a:hover { text-decoration: underline }
	</style>
	<html>
	<head>
	<title>Datenbank: <xsl:value-of select="daten/title"/></title>
	</head>
	<body style="color:black;background-color:white" LINK="#000000" ALINK="#000000" VLINK="#000000">
	<tt>

	 <xsl:apply-templates />


	</tt>
	</body>
	</html>
</xsl:template>

<xsl:template name="creditgrenze"><xsl:value-of select="format-number(creditgrenze,'#.##0','de')"/></xsl:template>
<xsl:template name="warngrenze"><xsl:value-of select="format-number(warngrenze,'#.##0','de')"/></xsl:template>
<xsl:template name="crtoplayer"><xsl:value-of select="format-number(crtoplayer,'#.##0','de')"/></xsl:template>
<xsl:template name="crtoplayerlog"><xsl:value-of select="format-number(crtoplayerlog,'#.##0','de')"/></xsl:template>
<xsl:template name="profitperhour"><xsl:value-of select="format-number(profitperhour,'#.##0','de')"/></xsl:template>
<xsl:template name="cratstation"><xsl:value-of select="format-number(cratstation,'#.##0','de')"/></xsl:template>
<xsl:template name="kosten"><xsl:value-of select="format-number(kosten,'#.##0','de')"/></xsl:template>
<xsl:template name="pfand"><xsl:value-of select="format-number(pfand,'#.##0','de')"/></xsl:template>

<xsl:template match="daten">

	<xsl:for-each select="station">
		<b>-> </b> <span style="font-size:11pt"><b><a><xsl:attribute name="title"><xsl:value-of select="name" />&#10;<xsl:value-of select="version"/> - luft <xsl:value-of select="dauer"/> - gestartet: <xsl:value-of select="startzeit"/></xsl:attribute><xsl:attribute name="href">javascript:showhide('<xsl:value-of select="name" /> - <xsl:value-of select="timecode" />')</xsl:attribute><xsl:value-of select="name" /><span style="font-size:10pt">&#10;(<xsl:value-of select="level" />)&#10;(<xsl:value-of select="spielzeit" />)</span></a></b></span><br />
		<div><xsl:attribute name="style">display:none</xsl:attribute><xsl:attribute name="id"><xsl:value-of select="name" /> - <xsl:value-of select="timecode" /></xsl:attribute>
		&#160;&#160;<xsl:value-of select="version"/> - luft <xsl:value-of select="dauer"/> - gestartet: <xsl:value-of select="startzeit"/><br />
		&#160;&#160;&#8226; bisherige Kosten: <xsl:call-template name="kosten" /> Credits<br />
		<xsl:variable name="pfand" select="pfand" /><xsl:choose><xsl:when test="$pfand = 0"><xsl:text></xsl:text></xsl:when><xsl:otherwise>&#160;&#160;&#8226; Waren im Wert von <xsl:call-template name="pfand" /> Credits gepfndet<br /></xsl:otherwise></xsl:choose>
		&#160;&#160;&#8226; Grenzen:<br />
		&#160;&#160;&#160;&#160;&#8250;
		<xsl:variable name="creditgrenze" select="creditgrenze" /><xsl:variable name="version" select="version" /><xsl:choose><xsl:when test="$creditgrenze = 0 and $version = 'Deluxe'"><xsl:text>automatisch</xsl:text></xsl:when><xsl:otherwise><xsl:call-template name="creditgrenze" /> Credits</xsl:otherwise></xsl:choose>
		/ <xsl:variable name="warngrenze" select="warngrenze" /><xsl:choose><xsl:when test="$warngrenze = 0 and $version = 'Deluxe'"><xsl:text>automatisch</xsl:text></xsl:when><xsl:otherwise><xsl:call-template name="warngrenze" /> Credits</xsl:otherwise></xsl:choose><br />
		&#160;&#160;&#8226; Vermgen berwiesen: <xsl:call-template name="crtoplayerlog" /> Credits (gesamt: <xsl:call-template name="crtoplayer" /> Credits)<br />
		&#160;&#160;&#8226; Geschtzter Gewinn pro Stunde: <xsl:call-template name="profitperhour" /> Credits<br />
		&#160;&#160;&#8226; Vermgen auf dem Stationskonto: <xsl:call-template name="cratstation" /> Credits<br />
		&#160;&#160;&#8226; Wareneinstellungen:<br />
		<xsl:for-each select="wares/ware">
			&#160;&#160;&#160;&#160;&#8226; <xsl:value-of select="warename"/>: <br />
			&#160;&#160;&#160;&#160;&#160;&#160;&#8250; <xsl:value-of select="price.player.min"/> (<xsl:value-of select="price.min"/>) -> <xsl:value-of select="price.player.max"/> (<xsl:value-of select="price.max"/>) - aktuell: <xsl:value-of select="price.aktuell"/>Cr ... <xsl:value-of select="lager.now"/>/<xsl:value-of select="lager.max"/><br />
		</xsl:for-each>
		<br /></div>
	</xsl:for-each>
	<xsl:for-each select="dock">
		<b>-&lt;> </b> <span style="fint-size:11pt"><b><a><xsl:attribute name="href">javascript:showhide('Dock <xsl:value-of select="name" /> - <xsl:value-of select="timecode" />')</xsl:attribute><xsl:value-of select="name" /><span style="font-size:10pt">&#10;(<xsl:value-of select="level" />)&#10;(<xsl:value-of select="spielzeit"/>)</span></a></b></span><br />
		<div><xsl:attribute name="style">display:none</xsl:attribute><xsl:attribute name="id">Dock <xsl:value-of select="name" /> - <xsl:value-of select="timecode" /></xsl:attribute>
			&#160;&#160;&#8226; <xsl:value-of select="anzstationen"/> Stationen (<xsl:value-of select="deluxe"/>/<xsl:value-of select="lite"/>/<xsl:value-of select="mini"/>) in einem Radius von <xsl:value-of select="radius"/> Sektor(en)<br />
			<xsl:for-each select="station">
			&#160;&#160;<b> > </b> <span style="font-size:11pt"><b><a><xsl:attribute name="title"><xsl:value-of select="name" />&#10;<xsl:value-of select="version"/> - luft <xsl:value-of select="dauer"/> - gestartet: <xsl:value-of select="startzeit"/></xsl:attribute><xsl:attribute name="href">javascript:showhide('<xsl:value-of select="name" /> - <xsl:value-of select="timecode" />')</xsl:attribute><xsl:value-of select="name" /><span style="font-size:10pt">&#10;(<xsl:value-of select="level" />)</span></a></b></span><br />
			<div><xsl:attribute name="style">display:none</xsl:attribute><xsl:attribute name="id"><xsl:value-of select="name" /> - <xsl:value-of select="timecode" /></xsl:attribute>
			&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="version"/> - luft <xsl:value-of select="dauer"/> - gestartet: <xsl:value-of select="startzeit"/><br />
			&#160;&#160;&#160;&#160;&#160;&#8226; bisherige Kosten: <xsl:call-template name="kosten" /> Credits<br />
			<xsl:variable name="pfand" select="pfand" /><xsl:choose><xsl:when test="$pfand = 0"><xsl:text></xsl:text></xsl:when><xsl:otherwise>&#160;&#160;&#160;&#160;&#160;&#8226; Waren im Wert von <xsl:call-template name="pfand" /> Credits gepfndet<br /></xsl:otherwise></xsl:choose>
			&#160;&#160;&#160;&#160;&#160;&#8226; Grenzen:<br />
			&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#8250;
			<xsl:variable name="creditgrenze" select="creditgrenze" /><xsl:variable name="version" select="version" /><xsl:choose><xsl:when test="$creditgrenze = -2 and $version = 'Deluxe'"><xsl:text>automatisch</xsl:text></xsl:when><xsl:otherwise><xsl:call-template name="creditgrenze" /> Credits</xsl:otherwise></xsl:choose>
			/ <xsl:variable name="warngrenze" select="warngrenze" /><xsl:choose><xsl:when test="$warngrenze = 0 and $version = 'Deluxe'"><xsl:text>automatisch</xsl:text></xsl:when><xsl:otherwise><xsl:call-template name="warngrenze" /> Credits</xsl:otherwise></xsl:choose><br />
			&#160;&#160;&#160;&#160;&#160;&#8226; Vermgen berwiesen: <xsl:call-template name="crtoplayerlog" /> Credits (gesamt: <xsl:call-template name="crtoplayer" /> Credits)<br />
			&#160;&#160;&#160;&#160;&#160;&#8226; Geschtzter Gewinn pro Stunde: <xsl:call-template name="profitperhour" /> Credits<br />
			&#160;&#160;&#160;&#160;&#160;&#8226; Vermgen auf dem Stationskonto: <xsl:call-template name="cratstation" /> Credits<br />
			&#160;&#160;&#160;&#160;&#160;&#8226; Wareneinstellungen:<br />
			<xsl:for-each select="wares/ware">
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#8226; <xsl:value-of select="warename"/>: <br />
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#8250; <xsl:value-of select="price.player.min"/> (<xsl:value-of select="price.min"/>) -> <xsl:value-of select="price.player.max"/> (<xsl:value-of select="price.max"/>) - aktuell: <xsl:value-of select="price.aktuell"/>Cr ... <xsl:value-of select="lager.now"/>/<xsl:value-of select="lager.max"/><br />
			</xsl:for-each>
			<br /></div>
		
	</xsl:for-each>
	</div>
	</xsl:for-each>
</xsl:template>




</xsl:stylesheet>
