<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:template match="/">
	<script language="javascript">
	function showhide(nummer) {
		switch(document.getElementById(nummer).style.display) {
			case "none":	
					document.getElementById(nummer).style.display = 'block';
					break;
			case "block":
					document.getElementById(nummer).style.display = 'none';
					break;
		}		
	}
	</script>
	<style type="text/css">
	a:link { text-decoration:none }
	a:hover { text-decoration: underline }
	</style>
	<html>
	<head>
	<title>Database: <xsl:value-of select="daten/title"/></title>
	</head>
	<body style="color:black;background-color:white" LINK="#000000" ALINK="#000000" VLINK="#000000">
	<tt>
	<xsl:for-each select="daten/station">
		<b>-> </b> <span style="font-size:11pt"><b><a><xsl:attribute name="title"><xsl:value-of select="name" />&#10;<xsl:value-of select="version"/> - running since <xsl:value-of select="dauer"/> - started: <xsl:value-of select="startzeit"/></xsl:attribute><xsl:attribute name="href">javascript:showhide('<xsl:value-of select="name" /> - <xsl:value-of select="timecode" />')</xsl:attribute><xsl:value-of select="name" /><span style="font-size:10pt">&#10;(<xsl:value-of select="level" />)&#10;(<xsl:value-of select="spielzeit" />)</span></a></b></span><br />
		<div><xsl:attribute name="style">display:none</xsl:attribute><xsl:attribute name="id"><xsl:value-of select="name" /> - <xsl:value-of select="timecode" /></xsl:attribute>
		&#160;&#160;<xsl:value-of select="version"/> - running since <xsl:value-of select="dauer"/> - started: <xsl:value-of select="startzeit"/><br />
		&#160;&#160;&#8226; past costs: <xsl:value-of select="kosten"/> Credits<br />
		<xsl:variable name="pfand" select="pfand" /><xsl:choose><xsl:when test="$pfand = 0"><xsl:text></xsl:text></xsl:when><xsl:otherwise>&#160;&#160;&#8226; Goods in the value of <xsl:value-of select="pfand"/> Credits seized<br /></xsl:otherwise></xsl:choose>
		&#160;&#160;&#8226; Limitations:<br />
		&#160;&#160;&#160;&#160;&#8250;
		<xsl:variable name="creditgrenze" select="creditgrenze" /><xsl:variable name="version" select="version" /><xsl:choose><xsl:when test="$creditgrenze = 0 and $version = 'Deluxe'"><xsl:text>automatisch</xsl:text></xsl:when><xsl:otherwise><xsl:value-of select="creditgrenze" /> Credits</xsl:otherwise></xsl:choose>
		/ <xsl:value-of select="warngrenze" /> Credits<br />
		&#160;&#160;&#8226; Money transferred: <xsl:value-of select="crtoplayerlog"/> Credits (entirely: <xsl:value-of select="crtoplayer"/> Credits)<br />
		&#160;&#160;&#8226; Estimated profit per hour: <xsl:value-of select="profitperhour"/> Credits<br />
		&#160;&#160;&#8226; Fortune on the station account: <xsl:value-of select="cratstation"/> Credits<br />
		&#160;&#160;&#8226; Goodattitudes:<br />
		<xsl:for-each select="wares/ware">
			&#160;&#160;&#160;&#160;&#8226; <xsl:value-of select="warename"/>: <br />
			&#160;&#160;&#160;&#160;&#160;&#160;&#8250; <xsl:value-of select="price.player.min"/> (<xsl:value-of select="price.min"/>) -> <xsl:value-of select="price.player.max"/> (<xsl:value-of select="price.max"/>) - current: <xsl:value-of select="price.aktuell"/>Cr ... <xsl:value-of select="lager.now"/>/<xsl:value-of select="lager.max"/><br />
		</xsl:for-each>
		<br /></div>
	</xsl:for-each>
	<xsl:for-each select="daten/dock">
		<b>-&lt;> </b> <span style="fint-size:11pt"><b><a><xsl:attribute name="href">javascript:showhide('Dock <xsl:value-of select="name" /> - <xsl:value-of select="timecode" />')</xsl:attribute><xsl:value-of select="name" /><span style="font-size:10pt">&#10;(<xsl:value-of select="level" />)&#10;(<xsl:value-of select="spielzeit"/>)</span></a></b></span><br />
		<div><xsl:attribute name="style">display:none</xsl:attribute><xsl:attribute name="id">Dock <xsl:value-of select="name" /> - <xsl:value-of select="timecode" /></xsl:attribute>
			&#160;&#160;&#8226; <xsl:value-of select="anzstationen"/> Stations (<xsl:value-of select="deluxe"/>/<xsl:value-of select="lite"/>/<xsl:value-of select="mini"/>) within <xsl:value-of select="radius"/> jumps<br />
			<xsl:for-each select="station">
			&#160;&#160;<b> > </b> <span style="font-size:11pt"><b><a><xsl:attribute name="title"><xsl:value-of select="name" />&#10;<xsl:value-of select="version"/> - running since <xsl:value-of select="dauer"/> - started: <xsl:value-of select="startzeit"/></xsl:attribute><xsl:attribute name="href">javascript:showhide('<xsl:value-of select="name" /> - <xsl:value-of select="timecode" />')</xsl:attribute><xsl:value-of select="name" /><span style="font-size:10pt">&#10;(<xsl:value-of select="level" />)</span></a></b></span><br />
			<div><xsl:attribute name="style">display:none</xsl:attribute><xsl:attribute name="id"><xsl:value-of select="name" /> - <xsl:value-of select="timecode" /></xsl:attribute>
			&#160;&#160;&#160;&#160;&#160;<xsl:value-of select="version"/> - running since <xsl:value-of select="dauer"/> - started: <xsl:value-of select="startzeit"/><br />
			&#160;&#160;&#160;&#160;&#160;&#8226; past costs: <xsl:value-of select="kosten"/> Credits<br />
			<xsl:variable name="pfand" select="pfand" /><xsl:choose><xsl:when test="$pfand = 0"><xsl:text></xsl:text></xsl:when><xsl:otherwise>&#160;&#160;&#160;&#160;&#160;&#8226; Goods in the value of <xsl:value-of select="pfand"/> Credits seized<br /></xsl:otherwise></xsl:choose>
			&#160;&#160;&#160;&#160;&#160;&#8226; Limitations:<br />
			&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#8250;
			<xsl:variable name="creditgrenze" select="creditgrenze" /><xsl:variable name="version" select="version" /><xsl:choose><xsl:when test="$creditgrenze = -2 and $version = 'Deluxe'"><xsl:text>automatic</xsl:text></xsl:when><xsl:otherwise><xsl:value-of select="creditgrenze" /> Credits</xsl:otherwise></xsl:choose>
			/ <xsl:value-of select="warngrenze" /> Credits<br />
			&#160;&#160;&#160;&#160;&#160;&#8226; Money transferred: <xsl:value-of select="crtoplayerlog"/> Credits (gesamt: <xsl:value-of select="crtoplayer"/> Credits)<br />
			&#160;&#160;&#160;&#160;&#160;&#8226; Estimated profit per hour: <xsl:value-of select="profitperhour"/> Credits<br />
			&#160;&#160;&#160;&#160;&#160;&#8226; Fortune on the station account: <xsl:value-of select="cratstation"/> Credits<br />
			&#160;&#160;&#160;&#160;&#160;&#8226; Goodattitudes:<br />
			<xsl:for-each select="wares/ware">
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#8226; <xsl:value-of select="warename"/>: <br />
				&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#8250; <xsl:value-of select="price.player.min"/> (<xsl:value-of select="price.min"/>) -> <xsl:value-of select="price.player.max"/> (<xsl:value-of select="price.max"/>) - current: <xsl:value-of select="price.aktuell"/>Cr ... <xsl:value-of select="lager.now"/>/<xsl:value-of select="lager.max"/><br />
			</xsl:for-each>
			<br /></div>
		
	</xsl:for-each>
	</div>
	</xsl:for-each>
	</tt>
	</body>
	</html>
</xsl:template>
</xsl:stylesheet>
